Summary:	Liblazy - D-Bus methods provided for convenience
Summary(pl.UTF-8):	liblazy - metody D-Bus dla wygody
Name:		liblazy
Version:	0.2
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://people.freedesktop.org/~homac/liblazy/%{name}-%{version}.tar.bz2
# Source0-md5:	d1a91efd155dcd1467c2768447d01e42
URL:		https://freedesktop.org/wiki/Software/liblazy/
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liblazy is a simple and easy to use library that provides convenient
functions for sending messages over the D-Bus daemon, querying
information from HAL or asking PolicyKit for a privilege. Its features
may grow as needed, though.

%description -l pl.UTF-8
liblazy to prosta i łatwa w użyciu biblioteka udostępniająca wygodne
funkcje do wysyłania komunikatów poprzez demona D-Bus, kolejkowania
informacji z HAL-a lub odpytywania PolicyKit o uprawnienia. Możliwości
biblioteki mogą jednak rosnąć w razie potrzeby.

%package devel
Summary:	Header files for liblazy
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblazy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 1.0

%description devel
Header files for liblazy.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liblazy.

%package static
Summary:	Static liblazy library
Summary(pl.UTF-8):	Statyczna bibliotekia liblazy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblazy library.

%description static -l pl.UTF-8
Statyczna biblioteka liblazy.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liblazy.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/liblazy.so.*.*
%attr(755,root,root) %ghost %{_libdir}/liblazy.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblazy.so
%{_includedir}/liblazy.h
%{_pkgconfigdir}/lazy.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblazy.a
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liblazy.git;a=log;h=master

* Fri May 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 38bb5c4
- updated URL, release 2

* Fri Jan 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 8ccc257
- verbose lib files
- drop .la file (.pc exists and it's safe - no existing package in Th requires it)

* Wed Jan 15 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 183864e
- ghost soname symlink

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 70a2e6a
- up to 0.2

* Sun May 27 2007 wolf <wolf@pld-linux.org> 77f2aaf
- cosmetics

* Thu May 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 393ff5c
- License is LGPL
- BR: pkgconfig
- devel R: dbus-devel

* Mon Apr 23 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c5f8602
- rel 2

* Fri Apr 06 2007 shadzik <shadzik@pld-linux.org> 816f83a
- build static library too

* Fri Apr 06 2007 shadzik <shadzik@pld-linux.org> aa4e32a
- BR dbus-devel >= 1.0

* Thu Apr 05 2007 Jakub Bogusz <qboosh@pld-linux.org> f27ca12
- pl

* Wed Apr 04 2007 Robert Tomasik <rotom@pld-linux.org> 9b866e9
- mv lazy.pc to *-devel

* Wed Apr 04 2007 Robert Tomasik <rotom@pld-linux.org> 9555ef4
- initial

